## icedtea-web 1.5.1

=== debian/changelog ===
icedtea-web (1.5.1-1ubuntu1) utopic; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 13:34:23 +0200

icedtea-web (1.5.1-1) unstable; urgency=medium

  * IcedTea-Web 1.5.1 release.
  * Build for ppc64 and ppc64el.
  * Add build support for OpenJDK 8 (Emmanuel Bourg). Closes: #751173.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 09:24:55 +0200

icedtea-web (1.5-2) unstable; urgency=medium

  * Build-depend on iceweasel-dev. Closes: #752838.
  * Stop building the icedtea-6-plugin package: Closes: #750640.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Jun 2014 15:00:58 +0200

=== debian/control ===
Source: icedtea-web
Section: java
Priority: extra
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 5), dh-autoreconf,
 firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
Standards-Version: 3.9.5
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/icedtea-web

Package: icedtea-netx
Architecture: amd64 armel armhf arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 ppc64el s390 s390x sparc x32
Multi-Arch: same
Depends: ${netx:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the jnlp API.

Package: icedtea-plugin
Section: web
Architecture: all
Depends: icedtea-7-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.

Package: icedtea-netx-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: icedtea-netx (<< 1.2~), icedtea-plugin (<< 1.1.2-1~), openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 This package contains the architecture independent files.

Package: icedtea-7-plugin
Section: web
Architecture: amd64 armel armhf arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 ppc64el s390 s390x sparc x32
Multi-Arch: same
Depends: openjdk-7-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
Xb-Npp-Description: IcedTea Java Web Browser Plugin for OpenJDK 7 (execution of applets on web pages)
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-Name: The IcedTea Web Browser Plugin
Xb-Npp-MimeType: application/x-java-vm, application/x-java-applet, application/x-java-applet;version=1.1, application/x-java-applet;version=1.1.1, application/x-java-applet;version=1.1.2, application/x-java-applet;version=1.1.3, application/x-java-applet;version=1.2, application/x-java-applet;version=1.2.1, application/x-java-applet;version=1.2.2, application/x-java-applet;version=1.3, application/x-java-applet;version=1.3.1, application/x-java-applet;version=1.4, application/x-java-applet;version=1.4.1, application/x-java-applet;version=1.4.2, application/x-java-applet;version=1.5, application/x-java-applet;version=1.6, application/x-java-applet;version=1.7, application/x-java-applet;jpi-version=1.7.0_00, application/x-java-bean, application/x-java-bean;version=1.1, application/x-java-bean;version=1.1.1, application/x-java-bean;version=1.1.2, application/x-java-bean;version=1.1.3, application/x-java-bean;version=1.2, application/x-java-bean;version=1.2.1, application/x-java-bean;version=1.2.2, application/x-java-bean;version=1.3, application/x-java-bean;version=1.3.1, application/x-java-bean;version=1.4, application/x-java-bean;version=1.4.1, application/x-java-bean;version=1.4.2, application/x-java-bean;version=1.5, application/x-java-bean;version=1.6, application/x-java-bean;version=1.7, application/x-java-bean;jpi-version=1.7.0_00
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)
ifneq (,$(DEB_HOST_MULTIARCH))
  ifneq (,$(filter $(distrel),natty oneiric))
    DEB_HOST_MULTIARCH =
    multiarch_dir =
  endif
endif
ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
  jre_versions = 6
endif
# for simplicity build the plugin for 7 for multiarch setup only,
# anything else requires backports.
ifneq (,$(DEB_HOST_MULTIARCH))
  jre_versions += 7
endif

ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
  buildflags := \
	CXXFLAGS='$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)' \
	LDFLAGS='$(shell dpkg-buildflags --get LDFLAGS)'
endif

arch_map	 := alpha=alpha arm=arm armel=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64 sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64
archdir_map     := alpha=alpha arm=arm armel=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 lpia=i386 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64 sparc=sparc sparc64=sparcv9 sh4=sh s390=s390 s390x=s390x ia64=ia64

jvmarch	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(arch_map))))
archdir	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze))
  is7_default = no
  default_version = 6
  default_plugin_version = 6
else
  is7_default = yes
  default_version = 7
  ifneq (,$(filter $(distrel), wheezy))
    default_plugin_version = 6
  else
    default_plugin_version = 7
  endif
endif
is8_default = no

# dependency package for older releases
ifeq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
  nopkgs = -Nicedtea6-plugin
endif

TOP = usr/lib/jvm
jdirname = java-$(shortver)-$(origin)
origin = openjdk
basename = openjdk-$(shortver)
ifneq (,$(DEB_HOST_MULTIARCH))
  jdk_home = $(TOP)/java-6-openjdk-$(DEB_HOST_ARCH)
  jdk7_home = $(TOP)/java-7-openjdk-$(DEB_HOST_ARCH)
  jdk8_home = $(TOP)/java-8-openjdk-$(DEB_HOST_ARCH)
else
  jdk_home = $(TOP)/java-6-openjdk
  jdk7_home = $(TOP)/java-7-openjdk
endif
basedir = $(jdk_home)
base7dir = $(jdk7_home)
base8dir = $(jdk8_home)
vendor = IcedTea
shortver = 6
last_npp_version = 6b18~pre2-2
priority = 1061
# not yet higher than for 6
priority7 = $(if $(filter yes, $(is7_default)),1071,1060)
priority8 = $(if $(filter yes, $(is8_default)),1081,1070)
plugin_name = IcedTeaPlugin.so

ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa sparc64)$(filter $(distrel), dapper))
  with_plugin_pkg = no
else ifneq (,$(filter $(DEB_HOST_ARCH)-$(distrel), sparc-hardy sparc-jaunty))
  with_plugin_pkg = no
else
  with_plugin_pkg = yes
endif

ifeq ($(distribution),Debian)
  ifneq (,$(filter $(distrel),lenny))
    bd_plugin = xulrunner-dev (>= 1.9.0),
  else ifneq (,$(filter $(distrel),squeeze wheezy))
    bd_plugin = xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64],
  else
    bd_plugin = iceweasel-dev [!alpha !sparc64],
  endif
else
  ifneq (,$(filter $(distrel),gutsy feisty edgy dapper))
    bd_plugin = firefox-dev,
  else ifneq (,$(filter $(distrel),intrepid))
    bd_plugin = xulrunner-1.9-dev,
  else ifneq (,$(filter $(distrel),hardy jaunty))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev [!sparc],
    xulrunner_depends = xulrunner-1.9.2
  else ifneq (,$(filter $(distrel),karmic lucid maverick))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev,
    xulrunner_depends = xulrunner-1.9.2
  else
    bd_plugin = firefox-dev,
    xulrunner_depends = firefox (>= 4.0~b7) | chromium-browser | epiphany-browser | midori
  endif
endif


ifeq ($(is8_default),yes)
  bd_openjdk = openjdk-8-jdk,
  jdk_default_home = $(jdk8_home)
else ifeq ($(is7_default),yes)
  bd_openjdk = openjdk-7-jdk,
  jdk_default_home = $(jdk7_home)
else
  bd_openjdk = openjdk-6-jdk (>= 6b23~pre10~),
  jdk_default_home = $(jdk_home)
endif

ifeq ($(default_plugin_version),8)
  netx_depends = openjdk-8-jre | openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
else ifeq ($(default_plugin_version),7)
  netx_depends = openjdk-7-jre | openjdk-8-jre | openjdk-6-jre (>= 6b23~pre10~)
else
  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre | openjdk-8-jre
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  netx_depends := $(netx_depends), icedtea-netx-common (>= $${binary:Version})
endif

ifeq ($(distribution),Ubuntu)
  ifneq (,$(filter $(distrel),jaunty intrepid hardy gutsy feisty edgy dapper))
    # FIXME: check for every release ...
    browser_plugin_dirs = xulrunner-addons firefox iceape iceweasel mozilla midbrowser xulrunner
  else
    browser_plugin_dirs = mozilla
  endif
else
  browser_plugin_dirs = mozilla
endif

java_launcher = /$(basedir)/bin/java
java7_launcher = /$(base7dir)/bin/java
java8_launcher = /$(base8dir)/bin/java
ifeq ($(distribution),Ubuntu)
  ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
    java_launcher = cautious-launcher %f /$(basedir)/bin/java
  endif
endif

control_vars = \
	'-Vxulrunner:Depends=$(xulrunner_depends)' \
	'-Vnetx:Depends=$(netx_depends)'

#	--prefix=/$(jdk_home) \

CONFIGURE_ARGS = \
	--prefix=/usr \
	--with-pkgversion="$(PKGVERSION)" \
	--disable-docs

ifneq ($(with_plugin_pkg),yes)
  CONFIGURE_ARGS += --disable-plugin
endif

p_netx = icedtea-netx
p_comm = icedtea-netx-common
p_plug = icedtea-6-plugin
p_plug7 = icedtea-7-plugin
p_plug8 = icedtea-8-plugin
d_netx = debian/$(p_netx)
d_comm = debian/$(p_comm)
d_plug = debian/$(p_plug)
d_plug7 = debian/$(p_plug7)
d_plug8 = debian/$(p_plug8)

debian/control: debian/control.in debian/rules
	@cp -p debian/control debian/control.old
	sed \
		-e 's/@bd_plugin@/$(bd_plugin)/g' \
		-e 's/@bd_openjdk@/$(bd_openjdk)/g' \
		-e 's/@default_version@/$(default_version)/g' \
		-e 's/@default_plugin_version@/$(default_plugin_version)/g' \
	     debian/control.in \
	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
	     $(if $(filter 8, $(jre_versions)),debian/control.8) \
	     $(if $(nopkgs),,debian/control.compat) \
	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
		  > debian/control
	@if cmp -s debian/control debian/control.old; then \
	  rm -f debian/control.old; \
	else \
	  diff -u debian/control.old debian/control; \
	  echo "debian/control did change, please restart the build"; \
	  rm -f debian/control.old; \
	  exit 1; \
	fi

packaging-files:
	for f in debian/*.in; do \
	  case "$$f" in debian/control.in) continue; esac; \
	  case "$$f" in \
	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
	    debian/PLUGIN7.*.in) f2=$$(echo $$f | sed 's/PLUGIN7/$(p_plug7)/;s/\.in$$//');; \
	    debian/PLUGIN8.*.in) f2=$$(echo $$f | sed 's/PLUGIN8/$(p_plug8)/;s/\.in$$//');; \

## icedtea-web 1.5.2

=== debian/changelog ===
icedtea-web (1.5.2-1ubuntu2~14.10) utopic-proposed; urgency=medium

  * Upload to utopic, fixing installation issues. LP: #1363785.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Nov 2014 13:14:41 +0100

icedtea-web (1.5.2-1ubuntu2) vivid; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Nov 2014 13:07:10 +0100

icedtea-web (1.5.2-1) unstable; urgency=medium

  * IcedTea-Web 1.5.2 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Nov 2014 12:30:39 +0100

icedtea-web (1.5.2~rc1-1) unstable; urgency=medium

  * IcedTea-Web 1.5.2 release candidate 1.
    - RH1095311, PR574 - Build fix for JDK9 (references class sun.misc.Ref
      removed in OpenJDK 9).
    - RH1154177 - decoded file needed from cache.
    - fixed NPE  in https dialog.
    - empty codebase behaves  as ".".
  * Remove the support for OpenJDK 8, breaks for OpenJDK 7, when 8 is not
    installed. Closes: #759226. LP: #1363785.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Nov 2014 08:45:27 +0100

icedtea-web (1.5-1) unstable; urgency=medium

  * IcedTea-Web 1.5 release.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Apr 2014 17:38:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: debhelper (>= 5), dh-autoreconf,
  firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
 Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/icedtea-web

## icedtea-web 1.5.3

=== tests/softkiller/Makefile ===
# we need c99 because of snprintf function!
# (this function does not exist in C89/ANSI C)

softkiller:	softkiller.c
	$(CC) -Wall -pedantic -std=c99 -o $@ $< -lX11

clean:
	rm softkiller

=== tests/reproducers/custom/ExtensionJnlpsInApplet/srcs/Makefile ===
TESTNAME=ExtensionJnlpsInApplet

SRC_FILES=ExtensionJnlpHelper.java ExtensionJnlpTestApplet.java
RESOURCE_FILES=ExtensionJnlpTest.html ExtensionJnlpTestApplet.jnlp ExtensionJnlpHelper.jnlp
ENTRYPOINT_CLASSES=ExtensionJnlpHelper ExtensionJnlpTestApplet

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)

	cd ../resources; \
	cp $(RESOURCE_FILES) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cd -; \
	ls; \
	for CLASS in $(ENTRYPOINT_CLASSES); \
	do \
		cd $(TMPDIR); \
		$(JAR) cfe "$$CLASS.jar" "$$CLASS" "$$CLASS.class"; \
		cd -;\
		mv $(TMPDIR)/"$$CLASS.jar" $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	done; \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/JNLPClassLoaderDeadlock/srcs/Makefile ===
TESTNAME=JNLPClassLoaderDeadlock

SRC_FILES=JNLPClassLoaderDeadlock_1.java JNLPClassLoaderDeadlock_2.java
RESOURCE_FILES=JNLPClassLoaderDeadlock.html
ENTRYPOINT_CLASSES=JNLPClassLoaderDeadlock_1 JNLPClassLoaderDeadlock_2

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)

	cd ../resources; \
	cp $(RESOURCE_FILES) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cd -; \
	for CLASS in $(ENTRYPOINT_CLASSES); \
	do \
		mv $(TMPDIR)/"$$CLASS.class" $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	done; \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/MixedSigningApplet/srcs/Makefile ===
TESTNAME=MixedSigningApplet

SRC_FILES=MixedSigningAppletSigned.java MixedSigningAppletHelper.java
ENTRYPOINT_CLASSES=MixedSigningApplet

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar
JARSIGNER=$(BOOT_DIR)/bin/jarsigner
JARSIGNER_CMD=$(JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass $(PRIVATE_KEYSTORE_PASS) -keypass $(PRIVATE_KEYSTORE_PASS)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES); \

	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	cd $(TMPDIR); \
	$(JAR) cfe MixedSigningAppletSigned.jar signed.MixedSigningAppletSigned signed; \
	$(JAR) cf MixedSigningApplet.jar helper; \
	cd -; \

	$(JARSIGNER_CMD) -sigfile Alpha $(TMPDIR)/MixedSigningAppletSigned.jar $(TEST_CERT_ALIAS)_signed; \

	cp $(TMPDIR)/MixedSigningApplet{Signed,}.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR); \
	rm -rf $(TMPDIR); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/SignedAppletCodebaseLoading/srcs/Makefile ===
TESTNAME=SignedAppletCodebaseLoading

SRC_FILES=SignedAppletCodebaseLoading.java SignedAppletCodebaseLoadingHelper.java

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar
JARSIGNER=$(BOOT_DIR)/bin/jarsigner
JARSIGNER_CMD=$(JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass $(PRIVATE_KEYSTORE_PASS) -keypass $(PRIVATE_KEYSTORE_PASS)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES); \

	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	cd $(TMPDIR); \
	$(JAR) cfe SignedAppletCodebaseLoading.jar signed.SignedAppletCodebaseLoading signed; \
	cd -; \

	$(JARSIGNER_CMD) -sigfile Alpha $(TMPDIR)/SignedAppletCodebaseLoading.jar $(TEST_CERT_ALIAS)_signed; \

	cp $(TMPDIR)/SignedAppletCodebaseLoading.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cp -r $(TMPDIR)/helper $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR); \
	rm -rf $(TMPDIR); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/SignedAppletExternalMainClass/srcs/Makefile ===
TESTNAME=SignedAppletExternalMainClass

JARSIGNER=$(BOOT_DIR)/bin/jarsigner
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar

TMPDIR:=$(shell mktemp -d)

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) $(TESTNAME).java $(TESTNAME)Helper.java
	
	cd $(TMPDIR) ; \
	$(JAR) cvf $(TESTNAME)Helper.jar $(TESTNAME)Helper.class ; \
	$(BOOT_DIR)/bin/jarsigner -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS)  \
	-keypass $(PRIVATE_KEYSTORE_PASS) "$(TMPDIR)/$(TESTNAME)Helper.jar" $(TEST_CERT_ALIAS)_signed   ; \
	
	cd $(TMPDIR); \
	mv $(TESTNAME).class $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)Helper.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ;
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/TrustedOnlyAttribute/srcs/Makefile ===
TESTNAME=TrustedOnlyAttribute

JARSIGNER=$(BOOT_DIR)/bin/jarsigner
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar

TMPDIR:=$(shell mktemp -d)

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	cp MANIFEST.MF $(TMPDIR) ; \
	$(JAVAC) -d $(TMPDIR) $(TESTNAME).java ; \
	
	cd $(TMPDIR) ; \
	$(JAR) cvfm $(TESTNAME)Signed.jar MANIFEST.MF $(TESTNAME).class ; \
	$(JAR) cvfm $(TESTNAME)Unsigned.jar MANIFEST.MF $(TESTNAME).class ; \
	$(BOOT_DIR)/bin/jarsigner -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS)  \
	-keypass $(PRIVATE_KEYSTORE_PASS) "$(TMPDIR)/$(TESTNAME)Signed.jar" $(TEST_CERT_ALIAS)_signed ; \
	
	cd $(TMPDIR); \
	mv $(TESTNAME)Signed.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)Unsigned.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/UnsignedContentInMETAINF/srcs/Makefile ===
TESTNAME=UnsignedContentInMETAINF
JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
DEPLOY_DIR=$(REPRODUCERS_TESTS_SERVER_DEPLOYDIR)
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar
ABS_SRC_PATH=$(REPRODUCERS_TESTS_SRCDIR)/custom/$(TESTNAME)/srcs

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)
	echo "USING ABSPATH = " $(ABS_SRC_PATH)
	cp $(DEPLOY_DIR)/ReadPropertiesSigned.jar $(DEPLOY_DIR)/UnsignedContentInMETAINF.jar
	# Place an unsigned file in the META-INF folder
	cd $(ABS_SRC_PATH)
	$(JAR) uf $(DEPLOY_DIR)/UnsignedContentInMETAINF.jar META-INF/
	echo PREPARED REPRODUCER $(TESTNAME)

clean-reproducer:
	echo CLEANING REPRODUCER $(TESTNAME)
	rm -f UnsignedContentInMETAINF.jar
	echo CLEANED REPRODUCER $(TESTNAME)

=== debian/changelog ===
icedtea-web (1.5.3-0ubuntu0.15.10.1) wily-security; urgency=medium

  * Updated to upstream version 1.5.3 to fix two security issues:
    - CVE-2015-5234: applet URL sanitization issue
    - CVE-2015-5235: unsigned applet origin issue

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Nov 2015 13:01:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: icedtea-web
 Section: java
 Priority: extra
-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: debhelper (>= 5), dh-autoreconf,
  firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,6 @@
     default_plugin_version = 7
   endif
 endif
-is8_default = no
 
 # dependency package for older releases
 ifeq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
@@ -76,21 +75,18 @@
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdk_home = $(TOP)/java-6-openjdk-$(DEB_HOST_ARCH)
   jdk7_home = $(TOP)/java-7-openjdk-$(DEB_HOST_ARCH)
-  jdk8_home = $(TOP)/java-8-openjdk-$(DEB_HOST_ARCH)
 else
   jdk_home = $(TOP)/java-6-openjdk
   jdk7_home = $(TOP)/java-7-openjdk
 endif
 basedir = $(jdk_home)
 base7dir = $(jdk7_home)
-base8dir = $(jdk8_home)
 vendor = IcedTea
 shortver = 6
 last_npp_version = 6b18~pre2-2
 priority = 1061
 # not yet higher than for 6
 priority7 = $(if $(filter yes, $(is7_default)),1071,1060)
-priority8 = $(if $(filter yes, $(is8_default)),1081,1070)
 plugin_name = IcedTeaPlugin.so
 
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa sparc64)$(filter $(distrel), dapper))
@@ -129,10 +125,7 @@
 endif
 
 
-ifeq ($(is8_default),yes)
-  bd_openjdk = openjdk-8-jdk,
-  jdk_default_home = $(jdk8_home)
-else ifeq ($(is7_default),yes)
+ifeq ($(is7_default),yes)
   bd_openjdk = openjdk-7-jdk,
   jdk_default_home = $(jdk7_home)
 else
@@ -140,12 +133,10 @@
   jdk_default_home = $(jdk_home)
 endif
 
-ifeq ($(default_plugin_version),8)
-  netx_depends = openjdk-8-jre | openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
-else ifeq ($(default_plugin_version),7)
-  netx_depends = openjdk-7-jre | openjdk-8-jre | openjdk-6-jre (>= 6b23~pre10~)
-else
-  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre | openjdk-8-jre
+ifeq ($(default_plugin_version),7)
+  netx_depends = openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
+else
+  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
 endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
@@ -165,7 +156,6 @@
 
 java_launcher = /$(basedir)/bin/java
 java7_launcher = /$(base7dir)/bin/java
-java8_launcher = /$(base8dir)/bin/java
 ifeq ($(distribution),Ubuntu)
   ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
     java_launcher = cautious-launcher %f /$(basedir)/bin/java
@@ -191,12 +181,10 @@
 p_comm = icedtea-netx-common
 p_plug = icedtea-6-plugin
 p_plug7 = icedtea-7-plugin
-p_plug8 = icedtea-8-plugin
 d_netx = debian/$(p_netx)
 d_comm = debian/$(p_comm)
 d_plug = debian/$(p_plug)
 d_plug7 = debian/$(p_plug7)
-d_plug8 = debian/$(p_plug8)
 
 debian/control: debian/control.in debian/rules
 	@cp -p debian/control debian/control.old
@@ -209,7 +197,6 @@
 	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
 	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
 	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
-	     $(if $(filter 8, $(jre_versions)),debian/control.8) \
 	     $(if $(nopkgs),,debian/control.compat) \
 	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
 		  > debian/control
@@ -228,4 +215,21 @@
 	  case "$$f" in \
 	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
 	    debian/PLUGIN7.*.in) f2=$$(echo $$f | sed 's/PLUGIN7/$(p_plug7)/;s/\.in$$//');; \
-	    debian/PLUGIN8.*.in) f2=$$(echo $$f | sed 's/PLUGIN8/$(p_plug8)/;s/\.in$$//');; \
+	    *) f2=$$(echo $$f | sed 's/JB/$(basename)/;s/\.in$$//'); \
+	  esac; \
+	  sed \
+	      -e 's/@basename@/$(basename)/g' \
+	      -e 's/@vendor@/$(vendor)/g' \
+	      -e 's/@RELEASE@/$(shortver)/g' \
+	      -e 's,@TOP@,$(TOP),g' \
+	      -e 's,@basedir@,$(basedir),g' \
+	      -e 's,@base7dir@,$(base7dir),g' \
+	      -e 's,@jdirname@,$(jdirname),g' \
+	      -e 's/@srcname@/$(srcname)/g' \
+	      -e 's/@jvmarch@/$(jvmarch)/g' \
+	      -e 's/@archdir@/$(archdir)/g' \
+	      -e 's/@tag@/$(tag)/g' \
+	      -e 's/@priority@/$(priority)/g' \
+	      -e 's/@priority7@/$(priority7)/g' \
+	      -e 's/@mantag@/$(mantag)/g' \
+	      -e 's/@multiarch@/$(DEB_HOST_MULTIARCH)/g' \
